### Function

# RB value_array_append_data

#### Declaration [src]

    void
    rb_value_array_append_data (
      GArray* array,
      GType type,
      ...
    )

#### Description [src]

Appends a single value to `array`, collecting it from `Varargs`.

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  `GArray` to append to.

  The data is owned by the caller of the function.

`type`

  Type: `GType`

  `GType` of the value being appended.

`...`

  Type: ``

  Value to append.